Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3851)
@@ -5479,6 +3987,4 @@
        dhkelsc04(i)=0. 
        dhkelsc05(i)=0.
-!       u10m_ss(i)=u10m_ec(i)
-!       v10m_ss(i)=v10m_ec(i)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -5599,4 +4105,12 @@
       d_tr_th04(i,k)=0.
       d_tr_th05(i,k)=0.!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        ENDDO
+      ENDDO
+
+      IF(1==0) THEN 
+      ! calcul in original trunk version; problem: budget not closed. Corrected in "ELSE"
+      DO i=1, klon
+        DO k=1,klev
+
       if(id_prec>0)        d_tr_cv01(i,k)   =d_tr_cv_o(i,k,id_prec)
       if(id_fine>0)        d_tr_cv02(i,k)   =d_tr_cv_o(i,k,id_fine)
@@ -5641,5 +4155,52 @@
         ENDDO
       ENDDO
-      IF(1==0) THEN
+      ELSE ! correction pour fermeture de bilan, par FH dans les simus de Binta pour Habib
+      DO i=1, klon
+        DO k=1,klev
+      if(id_prec>0)        d_tr_cv01(i,k)   =d_tr_cv(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_cv02(i,k)   =d_tr_cv(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_cv03(i,k)   =d_tr_cv(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_cv04(i,k)   =d_tr_cv(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_cv05(i,k)   =d_tr_cv(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_trsp01(i,k) =d_tr_trsp(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_trsp02(i,k) =d_tr_trsp(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_trsp03(i,k) =d_tr_trsp(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_trsp04(i,k) =d_tr_trsp(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_trsp05(i,k) =d_tr_trsp(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_sscav01(i,k)=d_tr_sscav(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_sscav02(i,k)=d_tr_sscav(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_sscav03(i,k)=d_tr_sscav(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_sscav04(i,k)=d_tr_sscav(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_sscav05(i,k)=d_tr_sscav(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_sat01(i,k)  =d_tr_sat(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_sat02(i,k)  =d_tr_sat(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_sat03(i,k)  =d_tr_sat(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_sat04(i,k)  =d_tr_sat(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_sat05(i,k)  =d_tr_sat(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_uscav01(i,k)=d_tr_uscav(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_uscav02(i,k)=d_tr_uscav(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_uscav03(i,k)=d_tr_uscav(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_uscav04(i,k)=d_tr_uscav(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_uscav05(i,k)=d_tr_uscav(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_insc01(i,k)=d_tr_insc(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_insc02(i,k)=d_tr_insc(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_insc03(i,k)=d_tr_insc(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_insc04(i,k)=d_tr_insc(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_insc05(i,k)=d_tr_insc(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_bcscav01(i,k)=d_tr_bcscav(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_bcscav02(i,k)=d_tr_bcscav(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_bcscav03(i,k)=d_tr_bcscav(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_bcscav04(i,k)=d_tr_bcscav(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_bcscav05(i,k)=d_tr_bcscav(i,k,id_scdu)/pdtphys
+      if(id_prec>0)        d_tr_evapls01(i,k)=d_tr_evapls(i,k,id_prec)/pdtphys
+      if(id_fine>0)        d_tr_evapls02(i,k)=d_tr_evapls(i,k,id_fine)/pdtphys
+      if(id_coss>0)        d_tr_evapls03(i,k)=d_tr_evapls(i,k,id_coss)/pdtphys
+      if(id_codu>0)        d_tr_evapls04(i,k)=d_tr_evapls(i,k,id_codu)/pdtphys
+      if(id_scdu>0)        d_tr_evapls05(i,k)=d_tr_evapls(i,k,id_scdu)/pdtphys
+        ENDDO
+      ENDDO
+      ENDIF 
+
+      IF(1==0) THEN  ! This "if" is as in original trunk
       DO i=1, klon
         DO k=1,klev
@@ -5865,4 +4426,5 @@
       END SUBROUTINE readregions_spl
 
+!! AS: SUBROUTINE readscaleparams_spl pas appellee
       SUBROUTINE readscaleparams_spl(scale_param, nbreg, &
                                              filescaleparams)
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_dust.F
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_dust.F	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_dust.F	(revision 3851)
@@ -14,5 +14,5 @@
       real dust_ec_glo(klon_glo)
 c
-      real dust_nc(iip1,jjp1)
+c as      real dust_nc(iip1,jjp1)
       real dust_nc_glo(nbp_lon+1,nbp_lat)
       real rcode
@@ -59,7 +59,8 @@
 c--upside down + physical grid
 c
-c--OB=change jjp1 to 1 here
+c--OB=change jjp1 to 1 here ; 
+c----AS: OB's change is needed if lats N to S (90 to -90) in dust.nc
 !      dust_ec(1)=MAX(dust_nc(1,jjp1),0.0)
-      dust_ec(1)=MAX(dust_nc(1,nbp_lat),0.0)
+      dust_ec_glo(1)=MAX(dust_nc_glo(1,nbp_lat),0.0)
       ig=2
 !      DO j=2,jjm
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_newemissions.F
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_newemissions.F	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_newemissions.F	(revision 3851)
@@ -59,5 +59,5 @@
 !$OMP THREADPRIVATE(u10m_ec1, v10m_ec1, dust_ec1)
 !$OMP THREADPRIVATE(u10m_ec2, v10m_ec2, dust_ec2)
-      REAL u10m_nc(iip1,jjp1), v10m_nc(iip1,jjp1)
+c as      REAL u10m_nc(iip1,jjp1), v10m_nc(iip1,jjp1)
       REAL u10m_ec(klon), v10m_ec(klon), dust_ec(klon)
 c      REAL cly(klon), wth(klon), zprecipinsoil(klon)
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_vent.F
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_vent.F	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/read_vent.F	(revision 3851)
@@ -33,7 +33,7 @@
 c
          ncidu1=NCOPN('u10m.nc',NCNOWRIT,rcode)
-         varidu1=NCVID(ncidu1,'UWND',rcode)
+         varidu1=NCVID(ncidu1,'U10M',rcode)
          ncidv1=NCOPN('v10m.nc',NCNOWRIT,rcode)
-         varidv1=NCVID(ncidv1,'VWND',rcode)
+         varidv1=NCVID(ncidv1,'V10M',rcode)
 c
       endif
